<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="2.0">

<xsl:output method="text"/>

<xsl:param name="column" required="yes"/>

<xsl:template name="start">
  <xsl:variable name="all-models"
                select="collection('./?select=*.gc')"/>
  
  <xsl:for-each-group select="$all-models/*/SimpleCodeList/Row"
                group-by="Value[@ColumnRef='DictionaryEntryName']/SimpleValue">
    <xsl:sort data-type="text" order="ascending"
              select="current-grouping-key()"/>
    
    <xsl:value-of select="current-grouping-key()"/>
    <xsl:for-each-group group-by="normalize-space(.)"
                        select="current-group()/Value[@ColumnRef=$column]/
                                                SimpleValue">
      <xsl:text>&#x9;</xsl:text>
      <xsl:for-each select="current-group()">
        <xsl:sort order="descending" select="/*/Identification/Version"/>
        <xsl:text>(</xsl:text>
        <xsl:value-of select="/*/Identification/Version"/>
        <xsl:text>) </xsl:text>
      </xsl:for-each>
      <xsl:value-of select="normalize-space(.)"/>
    </xsl:for-each-group>
    <xsl:text>&#xa;</xsl:text>
  </xsl:for-each-group>
</xsl:template>

</xsl:stylesheet>